Bug 1434084 - Stack trace when running fix_auth
Summary: Stack trace when running fix_auth
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Gregg Tanzillo
QA Contact: luke couzens
URL:
Whiteboard:
Depends On:
Blocks: 1434158
TreeView+ depends on / blocked
 
Reported: 2017-03-20 17:00 UTC by Keenan Brock
Modified: 2017-06-12 16:17 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1434158 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:17:24 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Keenan Brock 2017-03-20 17:00:40 UTC
Description of problem:

Sometimes automate scripts written by customers put Drb and other invalid objects into the database.

This causes stack traces when updating passwords using the fix_auth. tool.

Version-Release number of selected component (if applicable):

5.6

How reproducible:

It is tricky to get this data into the database, but once it is in there, we are not able to get out of the situation.


Steps to Reproduce:
1. Write an automate script that puts a drb or Vm object into tasks
2. Run fix_auth.rb
3.

Actual results:

Stacktrace that does not tell you how to fix it.

Expected results:

Optimally, the invalid objects would just display a warning.
Realistically, display an error message that gives users enough information to fix the error.

Additional info:

Similar problems with
- https://bugzilla.redhat.com/show_bug.cgi?id=1323258

Comment 2 Satoe Imaishi 2017-03-20 17:29:46 UTC
PR: https://github.com/ManageIQ/manageiq/pull/13209

Comment 4 luke couzens 2017-04-24 12:12:18 UTC
Verified in 5.8.0.11


Note You need to log in before you can comment on or make changes to this bug.